resource "google_cloud_run_v2_service" "api_server" {
  project             = google_project.project.project_id
  name                = "api-server"
  location            = var.region
  deletion_protection = false
  ingress             = "INGRESS_TRAFFIC_ALL"

  template {
    containers {
      image = "${google_artifact_registry_repository.docker_repo.location}-docker.pkg.dev/${google_artifact_registry_repository.docker_repo.project}/${google_artifact_registry_repository.docker_repo.repository_id}/library/gateway-test"
      ports {
        container_port = 8080
      }
    }
  }

  depends_on = [google_project_service.service["run"], ]
}
